Skip to main content
`Ctrl`+`K`

# TSMonitorLGCtxSetTransform

Solution vector will be transformed by provided function before being displayed

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSMonitorLGCtxSetTransform(TSMonitorLGCtx ctx, PetscErrorCode (*transform)(PetscCtx tctx, Vec u, Vec *w), PetscCtxDestroyFn *destroy, PetscCtx tctx)

Collective

## Input Parameters

- tctx - the `TS` context

- transform - the transform function

- destroy - function to destroy the optional context, see `PetscCtxDestroyFn` for its calling sequence

- ctx - optional context used by transform function

## Calling sequence of `transform`

- tctx - context used by the transform function

- u - the input solution vector

- w - the output transformed vector

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSMonitorSet()`, `TSMonitorDefault()`, `VecView()`, `TSMonitorLGSetVariableNames()`, `TSMonitorLGSetTransform()`, `PetscCtxDestroyFn`

## Level

intermediate

## Location

src/ts/interface/tsmon.c

## Examples

src/ts/tutorials/extchemfield.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages